<?php

class bdNoConvoEmail_XenForo_ControllerPublic_Conversation extends XFCP_bdNoConvoEmail_XenForo_ControllerPublic_Conversation
{
	public function actionNoEmail()
	{
		$visitor = XenForo_Visitor::getInstance();
		if (empty($visitor['email_on_conversation']))
		{
			return $this->responseNoPermission();
		}

		$conversationId = $this->_input->filterSingle('conversation_id', XenForo_Input::UINT);
		$conversation = $this->_getConversationOrError($conversationId);
		$recipient = $this->_getConversationModel()->getConversationRecipient($conversation['conversation_id'], XenForo_Visitor::getUserId());

		if ($this->isConfirmedPost())
		{
			$this->_getConversationModel()->bdNoConvoEmail_update($recipient, $this->_input->filter(array('bdnoconvoemail_disabled' => XenForo_Input::UINT)));

			return $this->responseRedirect(XenForo_ControllerResponse_Redirect::SUCCESS, XenForo_Link::buildPublicLink('conversations', $conversation));
		}
		else
		{
			$viewParams = array(
				'conversation' => $conversation,
				'recipient' => $recipient,
			);

			return $this->responseView('bdNoConvoEmail_ViewPublic_Conversation_NoEmail', 'bdnoconvoemail_conversation_configure', $viewParams);
		}
	}

}
